fsm.h File Reference
`#include <sys/time.h>`
`#include <corosync/corotypes.h>`
`#include "util.h"`
Include dependency graph for fsm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cs_fsm_entry
struct | cs_fsm

## Macros

#define | CS_FSM_NEXT_STATE_SIZE 32
#define | CS_FSM_STATE_NONE -1
#define | CS_FSM_CB_EVENT_PROCESS_NF 0
#define | CS_FSM_CB_EVENT_STATE_SET 1
#define | CS_FSM_CB_EVENT_STATE_SET_NF 2

## Typedefs

typedef void(* | cs_fsm_event_action_fn) (struct cs_fsm *fsm, int32_t event, void *data)
typedef const char *(* | cs_fsm_state_to_str_fn) (struct cs_fsm *fsm, int32_t state)
typedef const char *(* | cs_fsm_event_to_str_fn) (struct cs_fsm *fsm, int32_t event)
typedef void(* | cs_fsm_cb) (struct cs_fsm *fsm, int cb_event, int32_t curr_state, int32_t next_state, int32_t fsm_event, void *data)

## Macro Definition Documentation

## CS_FSM_CB_EVENT_PROCESS_NF

#define CS_FSM_CB_EVENT_PROCESS_NF 0

Definition at line 54 of file fsm.h.

## CS_FSM_CB_EVENT_STATE_SET

#define CS_FSM_CB_EVENT_STATE_SET 1

Definition at line 55 of file fsm.h.

## CS_FSM_CB_EVENT_STATE_SET_NF

#define CS_FSM_CB_EVENT_STATE_SET_NF 2

Definition at line 56 of file fsm.h.

## CS_FSM_NEXT_STATE_SIZE

#define CS_FSM_NEXT_STATE_SIZE 32

Definition at line 50 of file fsm.h.

## CS_FSM_STATE_NONE

#define CS_FSM_STATE_NONE -1

Definition at line 52 of file fsm.h.

## Typedef Documentation

## cs_fsm_cb

typedef void(* cs_fsm_cb) (struct cs_fsm *fsm, int cb_event, int32_t curr_state, int32_t next_state, int32_t fsm_event, void *data)

Definition at line 47 of file fsm.h.

## cs_fsm_event_action_fn

typedef void(* cs_fsm_event_action_fn) (struct cs_fsm *fsm, int32_t event, void *data)

Definition at line 43 of file fsm.h.

## cs_fsm_event_to_str_fn

typedef const char *(* cs_fsm_event_to_str_fn) (struct cs_fsm *fsm, int32_t event)

Definition at line 45 of file fsm.h.

## cs_fsm_state_to_str_fn

typedef const char *(* cs_fsm_state_to_str_fn) (struct cs_fsm *fsm, int32_t state)

Definition at line 44 of file fsm.h.